jQuery(function ($) {
    'use strict';
	jQuery(document).on('ready', function () {

		// Mean Menu
		$('.mean-menu').meanmenu({
			meanScreenWidth: "1199"
		});

		// Header Sticky
		$(window).on('scroll',function() {
			if ($(this).scrollTop() > 120){
				$('.navbar-area').addClass("is-sticky");
			}
			else{
				$('.navbar-area').removeClass("is-sticky");
			}
		});

		// Others Option For Responsive JS
		$(".others-option-for-responsive .dot-menu").on("click", function(){
			$(".others-option-for-responsive .container .container").toggleClass("active");
		});

		// Search Menu JS
		$(".others-option .search-icon i").on("click", function(){
			$(".others-option .search-box").toggleClass("active");
			$(".others-option .search-icon i").toggleClass("active");
		});

		// Tooltip
		$(function () {
			$('[data-toggle="tooltip"]').tooltip();
		});

		// Nice Select JS
		$('select').niceSelect();

		// Popup Image
		$('.popup-btn').magnificPopup({
			type: 'image',
			gallery:{
				enabled:true
			}
		});

		// Go to Top
		$(function(){
			// Scroll Event
			$(window).on('scroll', function(){
				var scrolled = $(window).scrollTop();
				if (scrolled > 600) $('.go-top').addClass('active');
				if (scrolled < 600) $('.go-top').removeClass('active');
			});
			// Click Event
			$('.go-top').on('click', function() {
				$("html, body").animate({ scrollTop: "0" },  500);
			});
		});

	});

    $( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/widget', function( $scope ) {

			// Home Slides
			$('.home-slides').owlCarousel({
				loop: true,
				nav: true,
				dots: false,
				margin: 30,
				animateOut: 'fadeOut',
				animateIn: 'fadeIn',
				items: 1,
				autoplay: true,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				]
			});

			// Main Services Slides
			$('.main-services-slides').owlCarousel({
				loop: true,
				nav: true,
				dots: false,
				margin: 30,
				items: 1,
				animateOut: 'fadeOut',
				animateIn: 'fadeIn',
				thumbs: true,
				thumbsPrerendered: true,
				autoplay: true,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				]
			});

			// Services Slides
			$('.services-slides').owlCarousel({
				loop: true,
				nav: false,
				dots: true,
				margin: 30,
				autoplay: true,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-chevron-left'></i>",
					"<i class='bx bx-chevron-right'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					576: {
						items: 1
					},
					768: {
						items: 2
					},
					992: {
						items: 3
					}
				}
			});

			// Popup Video
			$('.popup-youtube').magnificPopup({
				disableOn: 320,
				type: 'iframe',
				mainClass: 'mfp-fade',
				removalDelay: 160,
				preloader: false,
				fixedContentPos: false
			});

			// Team Slides
			$('.team-slides').owlCarousel({
				loop: true,
				nav: false,
				dots: true,
				margin: 30,
				autoplay: true,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-chevron-left'></i>",
					"<i class='bx bx-chevron-right'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					576: {
						items: 2
					},
					768: {
						items: 3
					},
					992: {
						items: 4
					}
				}
			});

			// Odometer JS
			$('.odometer').appear(function(e) {
				var odo = $(".odometer");
				odo.each(function() {
					var countNumber = $(this).attr("data-count");
					$(this).html(countNumber);
				});
			});

			// Partner Slides
			$('.partner-slides').owlCarousel({
				loop: true,
				nav: false,
				dots: false,
				margin: 30,
				autoplay: true,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-chevron-left'></i>",
					"<i class='bx bx-chevron-right'></i>"
				],
				responsive: {
					0: {
						items: 2
					},
					576: {
						items: 3
					},
					768: {
						items: 4
					},
					992: {
						items: 4
					}
				}
			});

			// Testimonials Slides
			$('.testimonials-slides').owlCarousel({
				loop: true,
				nav: false,
				dots: true,
				margin: 30,
				items: 1,
				autoplay: true,
				animateIn: 'fadeIn',
				animateOut: 'fadeOut',
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				]
			});

			// Testimonials Slides Two
			$('.testimonials-slides-two').owlCarousel({
				loop: true,
				nav: false,
				dots: true,
				margin: 30,
				autoplay: true,
				autoplayHoverPause: true,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				],
				responsive: {
					0: {
						items: 1
					},
					576: {
						items: 1
					},
					768: {
						items: 2
					},
					992: {
						items: 2
					}
				}
			});
    	});
    });


}(jQuery));
